package cn.freemud.demo.adapter.manager;

import cn.freemud.demo.entities.GetPaidRuleRequestBO;
import cn.freemud.demo.entities.GetUserScoreUseDetailBO;
import cn.freemud.demo.entities.ReceiveAddressBO;
import cn.freemud.entities.dto.GetPaidRuleRequestDto;
import cn.freemud.entities.dto.user.GetUserScoreUseDetailRequest;
import cn.freemud.entities.vo.CartGoods;
import cn.freemud.utils.BeanUtil;
import com.freemud.application.sdk.api.membercenter.response.QueryReceiveAddressResponse;
import ma.glasnost.orika.MapperFacade;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class CustomerBO2DTOAdapter {

    @Resource
    private MapperFacade mapperFacade;

    public GetUserScoreUseDetailRequest convert2GetUserScoreUseDetailRequest(GetUserScoreUseDetailBO bo) {
        GetUserScoreUseDetailRequest dto = BeanUtil.convertBean(bo, GetUserScoreUseDetailRequest::new);
        return dto;
    }

    public GetPaidRuleRequestDto convert2GetPaidRuleRequestDto(GetPaidRuleRequestBO bo) {
        GetPaidRuleRequestDto dto = BeanUtil.convertBean(bo, GetPaidRuleRequestDto::new);
        return dto;
    }

}
